cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class OSM_R26

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.OSM_R26

-     public final class OSM_R26
      extends Message

  OSM_R26 - Unsolicited Specimen Shipment Manifest Message (Event R26). The OSM_R26 Unsolicited Specimen Shipment Manifest message is used to communicate the contents of a specimen shipment to a specimen receiver (typically a laboratory).

  Represents a OSM_R26 message structure (see chapter 7.18.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  7: SHIPMENT (a Group of segments in OSM_R26 message) MULTIPLE_COMPLSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSM_R26(IMap objMessageMap)` Constructs the OSM_R26 message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addShipmentGroup(IGroup objGroup)` Add Shipment GROUP to this message.0
    `void` | `addShipmentGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Shipment GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<IGroup>` | `getShipmentGroups()` Retrieves Collection of Shipment GROUP present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OSM_R26

          public OSM_R26(IMap objMessageMap)

      Constructs the OSM_R26 message.

  - ### Method Detail

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT)to be added in message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getShipmentGroups

          public ISingleCollection<IGroup> getShipmentGroups()

      Retrieves Collection of Shipment GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Shipment Group present

    - #### addShipmentGroups

          public void addShipmentGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Shipment GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Shipment GROUP Collection.

    - #### addShipmentGroup

          public void addShipmentGroup(IGroup objGroup)

      Add Shipment GROUP to this message.0
      Parameters:
        `objGroup` - Specified Shipment GROUP.